Index: Dev/trunk/classes/ApplicationMenu.php
===================================================================
--- Dev/trunk/classes/ApplicationMenu.php	(revision 58)
+++ Dev/trunk/classes/ApplicationMenu.php	(revision 59)
@@ -6,8 +6,10 @@
  * @author fpvanagthoven
  */
-class ApplicationMenu {
+class ApplicationMenu extends Menu {
 
     public function __construct() {
-        ?> <div id="menu2" class="menu"> <?php
+        
+        ?><fieldset class="menu"><?php
+        parent::__construct('Application');
         ?> <div class="menuButtons"> <?php
         ApplicationMenu::createApplicationButton();
@@ -15,5 +17,5 @@
         ?> </div> <?php
         ApplicationMenu::loadApplicationList(null);
-        ?> </div> <?php
+        ?></fieldset><?php
     }
 
Index: Dev/trunk/classes/Menu.php
===================================================================
--- Dev/trunk/classes/Menu.php	(revision 59)
+++ Dev/trunk/classes/Menu.php	(revision 59)
@@ -0,0 +1,25 @@
+<?php
+
+/**
+ * Description of Menu
+ *
+ * @author fpvanagthoven
+ */
+class Menu {
+
+    private $title;
+
+    public function __construct($title) {
+        $this->title = $title;
+
+        $this->menuTitle();
+    }
+
+    public function menuTitle() {
+        ?>
+        <legend><?php echo $this->title; ?></legend>
+        <?php
+    }
+
+}
+?>
Index: Dev/trunk/classes/SessionMenu.php
===================================================================
--- Dev/trunk/classes/SessionMenu.php	(revision 58)
+++ Dev/trunk/classes/SessionMenu.php	(revision 59)
@@ -13,4 +13,5 @@
         SessionMenu::createSessionButton();
         SessionMenu::loadSessionButton();
+        SessionMenu::startSessionButton();
         ?> </div> <?php
         SessionMenu::loadSessionList(null);
@@ -38,4 +39,12 @@
     }
 
+    public static function startSessionButton() {
+        ?>
+        <form action="session.php" method="post">
+            <input type="button" onclick="startSession()" value="Start session" class="surveyButton bigSurveyButton" />
+        </form>
+        <?php
+    }
+
     public static function loadSessionList($sessions) {
         ?>
Index: Dev/trunk/classes/StyleSheet.php
===================================================================
--- Dev/trunk/classes/StyleSheet.php	(revision 59)
+++ Dev/trunk/classes/StyleSheet.php	(revision 59)
@@ -0,0 +1,21 @@
+<?php
+/*
+ * To change this template, choose Tools | Templates
+ * and open the template in the editor.
+ */
+
+/**
+ * Description of StyleSheet
+ *
+ * @author fpvanagthoven
+ */
+class StyleSheet {
+
+    public function __construct() {
+        ?>
+        <link rel="stylesheet" type="text/css" href="css/awesome.css" />
+        <?php
+    }
+
+}
+?>
Index: Dev/trunk/classes/SurveyCreationTool.php
===================================================================
--- Dev/trunk/classes/SurveyCreationTool.php	(revision 58)
+++ Dev/trunk/classes/SurveyCreationTool.php	(revision 59)
@@ -370,5 +370,5 @@
                 else
                 {
-                    input.style.border = '1px solid #abadb3';
+                    input.style.border = '1px solid #888;';
                     input.checkPassed = null;
                 }
Index: Dev/trunk/classes/SurveyMenu.php
===================================================================
--- Dev/trunk/classes/SurveyMenu.php	(revision 58)
+++ Dev/trunk/classes/SurveyMenu.php	(revision 59)
@@ -17,4 +17,5 @@
         SurveyMenu::newSurveyButton();
         SurveyMenu::loadSurveyButton();
+        SurveyMenu::deleteSurveyButton();
         ?> </div> <?php
         SurveyMenu::loadSurveyList($surveys);
@@ -34,8 +35,4 @@
     }
 
-    /**
-     *
-     * @param Survey $surveys An array of surveys
-     */
     public static function loadSurveyButton() {
         ?>
@@ -46,4 +43,16 @@
     }
 
+    public static function deleteSurveyButton() {
+        ?>
+        <form action="" method="post">
+            <input type="button" onclick="delSurvey()" value="Delete survey" class="surveyButton bigSurveyButton" />
+        </form>
+        <?php
+    }
+
+    /**
+     *
+     * @param Survey $surveys An array of surveys
+     */
     public static function loadSurveyList($surveys) {
         ?>
@@ -56,5 +65,4 @@
         </select>
         <?php
-
     }
 
Index: Dev/trunk/classes/SurveyTool.php
===================================================================
--- Dev/trunk/classes/SurveyTool.php	(revision 58)
+++ Dev/trunk/classes/SurveyTool.php	(revision 59)
@@ -147,5 +147,5 @@
     private function submitSurvey() {
         ?>
-        <input type="submit" value="Submit survey!" class="topMargin surveyButton bigSurveyButton"/>
+        <input type="submit" value="Submit survey!" id="submitSurvey" class="topMargin surveyButton bigSurveyButton"/>
         <?php
     }
